using System;
using System.Collections.Generic;
using System.Text;
using Syncfusion.Windows.Forms.Grid;
using System.Collections;

namespace SeperateModelTest
{
    public class CustomFormulaCellModel : GridFormulaCellModel
    {
        public CustomFormulaCellModel(GridModel grid)
            : base(grid)
        {
        }
        public override GridCellRendererBase CreateRenderer(GridControlBase control)
        {
            return new CustomFormulaCellRenderer(control, this);
        }
    }

    public class CustomFormulaCellRenderer : GridFormulaCellRenderer
    {
        private bool ignoreSaveCellInfo = false;

        public bool IgnoreSaveCellInfo
        {
            get { return ignoreSaveCellInfo; }
            set { ignoreSaveCellInfo = value; }
        }

        public CustomFormulaCellRenderer(GridControlBase grid, GridCellModelBase cellModel)
            : base(grid, cellModel)
        {
        }

        protected override bool OnValidate()
        {
            this.ignoreSaveCellInfo = true;
            bool b = base.OnValidate();
            this.ignoreSaveCellInfo = false;
            return true;
        }
    }
}
