using System;
using System.Collections.Generic;
using System.Text;
using Syncfusion.Windows.Forms.Grid;

namespace SeperateModelTest
{
    public struct WithFormula
    {
        public string value;
        public GridFormulaTag tag;
    }

    public class ExternalData
    {
        private int _rowCount;
        private int _colCount;
        private WithFormula[,] _data;

        public ExternalData(int rows, int cols)
        {
            // Set number of rows and number of columns.
            _rowCount = rows;
            _colCount = cols;

            // Allocate memory to store datavalues.
            _data = new WithFormula[_colCount, _rowCount];

            // Just set the data. 
            for (int i = 0; i < ColCount; i++)
                for (int j = 0; j < RowCount; j++)
                    if (i == 3)
                        _data[i, j].value = "=A3 + " + i * j;
                    else
                        _data[i, j].value = (100 * i + j).ToString();
        }

        // Set Properties.
        public WithFormula this[int row, int col]
        {
            get
            {
                return _data[row, col];
            }
            set
            {
                _data[row, col] = value;
            }
        }

        public int RowCount
        {
            get
            {
                return _rowCount;
            }
        }

        public int ColCount
        {
            get
            {
                return _colCount;
            }
        }
    }
}
